@import "../../../styles.scss";

.header {
    display: grid;
    grid-template-columns: 10fr 70fr 20fr;
    grid-template-rows: 100fr;
    grid-auto-rows: auto;
    grid-template-areas: 
    "votes title labels";
    margin: 20px;
}

.votes {
    padding: 5px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    border-right: 1px $color-grey-2 solid;
}

.title {
    font-size: 50px;
    font-weight: bold;
    text-align: center;
}

.tags {
    display: flex;
}

.content {
    margin-top: 20px;
}

.activeBad {
    color: $color-red,
}

.activeOk {
    color: $color-green
}

.user {
    font-size: 20px;
    font-weight: bold;
}

.button-code {
    display: inline;
    vertical-align: top;
}

.right {
    width: 100%;
    display: inline-block;
}

.button-pj {
   float: right; 
}

.description {
    margin-top: 10px;
    margin-bottom: 10px;
}

a {
    text-decoration: none;
    color: $color-grey;
}
.response-list {
    height: 100%;
    display: flex;
    justify-content: center;
}

.response {
    width: 100%;
    height: 100%;
    display: flex;
    background-color: $color-response-bg;
}

.response-content {
    padding: 5px;
}

.app-response {
    height: 100%;
    width: 80%;
}

.icon-bad:hover {
    color: $color-red;  
    cursor: pointer; 
}

.icon-ok:hover {
    color: $color-green;
    cursor: pointer;
}
.response-vote {
    padding: 5px;
    width: 20%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    border-right: 1px $color-grey-2 solid;
}

input[type="text"] {
    float: right;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 8px;
    font-size: 16px;
    background-color: white;
    padding: 12px 20px 12px 40px;
    transition: width 0.4s ease-in-out;
    font-family: FontAwesome;
    margin: auto;
}
.posts {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.post {
    margin: 15px;
    height: 100%;
    width: 100%;
}

.post-content {
    overflow: scroll;
}

